<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://schemas.haulmont.com/cuba/screen/window.xsd"
        xmlns:c="http://schemas.haulmont.com/cuba/screen/jpql_condition.xsd"
        caption="msg://jobProfileBrowse.caption"
        focusComponent="jobProfilesTable"
        messagesPack="com.bitsolution.urundana.web.screens.userprofile.jobprofile">
    <data readOnly="true">
        <collection id="jobProfilesDc"
                    class="com.bitsolution.urundana.entity.userprofile.JobProfile">
            <view extends="_local"/>
            <loader id="jobProfilesDl">
                <query>
                    <![CDATA[select e from urundana_JobProfile e]]>
                </query>
            </loader>
        </collection>
    </data>
    <dialogMode height="600"
                width="800"/>
    <layout expand="jobProfilesTable"
            spacing="true">
        <filter id="filter"
                applyTo="jobProfilesTable"
                dataLoader="jobProfilesDl">
            <properties include=".*"/>
        </filter>
        <dataGrid id="jobProfilesTable"
                  width="100%"
                  dataContainer="jobProfilesDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
                <action id="refresh" type="refresh"/>
                <action id="excel" type="excel"/>
            </actions>
            <columns>
                <column property="businessDescription" id="businessDescription"/>
                <column property="incomeSourceDescription" id="incomeSourceDescription"/>
            </columns>
            <rowsCount/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="jobProfilesTable.create"/>
                <button id="editBtn" action="jobProfilesTable.edit"/>
                <button id="removeBtn" action="jobProfilesTable.remove"/>
                <button id="refreshBtn" action="jobProfilesTable.refresh"/>
                <button id="excelBtn" action="jobProfilesTable.excel"/>
            </buttonsPanel>
        </dataGrid>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
